> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pricing For User Endpoint



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/pricing
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/pricing:
    post:
      tags:
        - Billing
      summary: Get Pricing For User Endpoint
      operationId: get_pricing_for_user_endpoint_api_v1_pricing_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PricingRequestPayload'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_PricingPayload_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    PricingRequestPayload:
      properties:
        voice_stt_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Voice Stt Id
        llm_model_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Llm Model Id
        voice_tts_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Voice Tts Id
      type: object
      title: PricingRequestPayload
    IPostResponseBase_PricingPayload_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/PricingPayload'
            - type: 'null'
      type: object
      title: IPostResponseBase[PricingPayload]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PricingPayload:
      properties:
        transcriber_cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Transcriber Cost
        llm_cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Llm Cost
        voice_cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Voice Cost
        platform_cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Platform Cost
        total_cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Cost
        currency:
          type: string
          title: Currency
        currency_symbol:
          type: string
          title: Currency Symbol
      type: object
      required:
        - transcriber_cost
        - llm_cost
        - voice_cost
        - platform_cost
        - total_cost
        - currency
        - currency_symbol
      title: PricingPayload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.